<?php
/*
 * Plugin Balises Arithmetiques
 * Copyright (C) 2009 Vincent Francois <vincentfrancois.pro@gmail.com>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
**/

function balise_ADDITION_dist($p)
{
	$a = interprete_argument_balise(1, $p);
	$b = interprete_argument_balise(2, $p);

	if( $a == '' || $b == '' )
	{
		$p->code = '\'#ADDITION[Manque terme]\'';
	}
	else
	{
		$p->code = '(' . $a . '+' . $b . ')';
	}

	return $p;
}

function balise_SOUSTRACTION_dist($p)
{
	$a = interprete_argument_balise(1, $p);
	$b = interprete_argument_balise(2, $p);

	if ($a == '' || $b == '')
	{
		$p->code = '\'#SOUSTRACTION[Manque terme]\'';
	}
	else
	{
		$p->code = '(' . $a . '-' . $b . ')';
	}

	return $p;
}


function balise_MULTIPLICATION_dist($p)
{
	$a = interprete_argument_balise(1, $p);
	$b = interprete_argument_balise(2, $p);

	if ($a == '' || $b == '')
	{
		$p->code = '\'#MULTIPLICATION[Manque terme]\'';
	}
	else
	{
		$p->code = '(' . $a . '*' . $b . ')';
	}

	return $p;
}

function balise_DIVISION($p)
{
	$a = interprete_argument_balise(1, $p);
	$b = interprete_argument_balise(2, $p);

	if ($a == '' || $b == '')
	{
		$p->code = '\'#DIVISION[Manque terme]\'';
	}
	else
	{
		$p->code = '('.$b.'== 0 ? \'#DIVISION[Division par z&eacute;ro]\' : ('.$a.'/'.$b.'))';
	}

	return $p;
}

function balise_QUOTIENT_dist($p)
{
	$a = interprete_argument_balise(1, $p);
	$b = interprete_argument_balise(2, $p);

	if ($a == '' || $b == '')
	{
		$p->code = '\'#QUOTIENT[Manque terme]\'';
	}
	else
	{
		$p->code = '('.$b.' == 0 ? \'#QUOTIENT[Division par z&eacute;ro]\' : floor('.$a.'/'.$b.'))';
	}

	return $p;
}

function balise_RESTE_dist($p)
{
	$a = interprete_argument_balise(1, $p);
	$b = interprete_argument_balise(2, $p);

	if ($a == '' || $b == '')
	{
		$p->code = '\'#RESTE[Manque terme]\'';
	}
	else
	{
		$p->code = '('.$a.'%'.$b.')';
	}

	return $p;
}

?>
